Online Training Center System Requirements

To use the NAFCU Online Training Center, you must have the following system requirements:

For Live and On-Demand Webcasts

(Including modules in the Compliance Webcast & Online Training Subscription and Board of Directors and New Staff Online Training Subscription)

Internet browser requirements and recommendations:

We are continuously updating our Online Training Center and webcasts to keep up with ever-changing technology and make the user experience for you as seamless as possible. To avoid any technical issues we strongly recommend that you update your browser to the latest version or download an alternate browser option to view NAFCU webcasts.Specific information for recommended browsers is as follows:

Internet Explorer (IE) – Please be sure you have the latest version of Internet Explorer. We recommend IE 10 or 11. You will not be able to watch live webcasts in IE 9 at this time. Although we are working to fix that, we strongly recommend you update your IE version. Download IE 11.

Google Chrome – Google Chrome is set to automatically update by default. A recent update has caused a conflict with viewing NAFCU webcasts (live and on-demand). To ensure you can view webcasts in Google Chrome, please follow these instructions to update your Chrome settings.

Firefox – There are no known issues with the latest version of Firefox. View information on updating Firefox to the latest version.

Windows minimum system requirements:

  • Intel Pentium II processor or Celeron or AMD processor, 400mhzWindows 95/98/2000/NT System.
  • Macintosh and Unix are not supported
  • 128K RAM
  • 16-bit sound card and speakers
  • 65,000-color video display card
  • Broadband Internet connection that supports at least 350K throughout
  • Web browser (see specific browser info above); cookies enabled
  • Windows Media Player 6.4 or later
  • Pop-up blocker turned off
  • If you are behind a corporate firewall or proxy server, you may need to have it configured to pass the webcast video stream.

Testing Your System

Live webcast participants are strongly encouraged to test their system at least 24 hours prior to the webcast. Please make sure that your computer system meets the basic requirements listed above. Testing your system can be done by following the directions you will receive in your confirmation email. If you require additional technical assistance, please email events@yorktel.com.

For Self-paced Modules

(Including modules in the Board of Directors and New Staff Online Training Subscription and the Management and Leadership Series)

All you need is a computer and an Internet connection. The faster your Internet connection, the faster the modules will load. You'll need Flash Player 6.0.79 or later, free to download at www.adobe.com/go/getflash, Acrobat Reader, free to download at http://get.adobe.com/reader/ and one of the following browsers:

Windows: Internet Explorer 10 or higher, Firefox 1.x and later, Safari 3, Google Chrome, Opera 9.5

Macintosh: Firefox 1.x and later, Safari 3 Linux: Firefox 1.x or later